org.jboss.resteasy.plugins.server.servlet

## Interface ResteasyContextParameters

-     public interface ResteasyContextParameters

  constant names of resteasy configuration variables within a servlet
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RESTEASY_APPEND_INTERCEPTOR_PRECEDENCE`
    `static String` | `RESTEASY_CONTEXT_OBJECTS`
    `static String` | `RESTEASY_DEPLOYMENTS`
    `static String` | `RESTEASY_DISABLE_DTDS`
    `static String` | `RESTEASY_EXPAND_ENTITY_REFERENCES`
    `static String` | `RESTEASY_INTERCEPTOR_AFTER_PRECEDENCE`
    `static String` | `RESTEASY_INTERCEPTOR_BEFORE_PRECEDENCE`
    `static String` | `RESTEASY_JNDI_COMPONENT_RESOURCES`
    `static String` | `RESTEASY_JNDI_RESOURCES`
    `static String` | `RESTEASY_LANGUAGE_MAPPINGS`
    `static String` | `RESTEASY_MEDIA_TYPE_MAPPINGS`
    `static String` | `RESTEASY_MEDIA_TYPE_PARAM_MAPPING`
    `static String` | `RESTEASY_PROVIDERS`
    `static String` | `RESTEASY_RESOURCE_METHOD_INTERCEPTORS` this is deprecated
    `static String` | `RESTEASY_RESOURCES`
    `static String` | `RESTEASY_ROLE_BASED_SECURITY`
    `static String` | `RESTEASY_SCAN`
    `static String` | `RESTEASY_SCAN_PROVIDERS`
    `static String` | `RESTEASY_SCAN_RESOURCES`
    `static String` | `RESTEASY_SCANNED_BY_DEPLOYER`
    `static String` | `RESTEASY_SCANNED_JNDI_RESOURCES`
    `static String` | `RESTEASY_SCANNED_PROVIDERS`
    `static String` | `RESTEASY_SCANNED_RESOURCES`
    `static String` | `RESTEASY_SECURE_PROCESSING_FEATURE`
    `static String` | `RESTEASY_SERVLET_MAPPING_PREFIX`
    `static String` | `RESTEASY_UNWRAPPED_EXCEPTIONS`
    `static String` | `RESTEASY_USE_BUILTIN_PROVIDERS`
    `static String` | `RESTEASY_USE_CONTAINER_FORM_PARAMS`
    `static String` | `RESTEASY_WIDER_REQUEST_MATCHING`

- - ### Field Detail

    - #### RESTEASY_PROVIDERS

          static final String RESTEASY_PROVIDERS

      See Also:
        Constant Field Values

    - #### RESTEASY_RESOURCE_METHOD_INTERCEPTORS

          static final String RESTEASY_RESOURCE_METHOD_INTERCEPTORS

      this is deprecated
      See Also:
        Constant Field Values

    - #### RESTEASY_USE_BUILTIN_PROVIDERS

          static final String RESTEASY_USE_BUILTIN_PROVIDERS

      See Also:
        Constant Field Values

    - #### RESTEASY_SCAN_PROVIDERS

          static final String RESTEASY_SCAN_PROVIDERS

      See Also:
        Constant Field Values

    - #### RESTEASY_SCAN

          static final String RESTEASY_SCAN

      See Also:
        Constant Field Values

    - #### RESTEASY_SCAN_RESOURCES

          static final String RESTEASY_SCAN_RESOURCES

      See Also:
        Constant Field Values

    - #### RESTEASY_JNDI_RESOURCES

          static final String RESTEASY_JNDI_RESOURCES

      See Also:
        Constant Field Values

    - #### RESTEASY_RESOURCES

          static final String RESTEASY_RESOURCES

      See Also:
        Constant Field Values

    - #### RESTEASY_MEDIA_TYPE_MAPPINGS

          static final String RESTEASY_MEDIA_TYPE_MAPPINGS

      See Also:
        Constant Field Values

    - #### RESTEASY_LANGUAGE_MAPPINGS

          static final String RESTEASY_LANGUAGE_MAPPINGS

      See Also:
        Constant Field Values

    - #### RESTEASY_MEDIA_TYPE_PARAM_MAPPING

          static final String RESTEASY_MEDIA_TYPE_PARAM_MAPPING

      See Also:
        Constant Field Values

    - #### RESTEASY_ROLE_BASED_SECURITY

          static final String RESTEASY_ROLE_BASED_SECURITY

      See Also:
        Constant Field Values

    - #### RESTEASY_INTERCEPTOR_BEFORE_PRECEDENCE

          static final String RESTEASY_INTERCEPTOR_BEFORE_PRECEDENCE

      See Also:
        Constant Field Values

    - #### RESTEASY_INTERCEPTOR_AFTER_PRECEDENCE

          static final String RESTEASY_INTERCEPTOR_AFTER_PRECEDENCE

      See Also:
        Constant Field Values

    - #### RESTEASY_APPEND_INTERCEPTOR_PRECEDENCE

          static final String RESTEASY_APPEND_INTERCEPTOR_PRECEDENCE

      See Also:
        Constant Field Values

    - #### RESTEASY_SCANNED_BY_DEPLOYER

          static final String RESTEASY_SCANNED_BY_DEPLOYER

      See Also:
        Constant Field Values

    - #### RESTEASY_JNDI_COMPONENT_RESOURCES

          static final String RESTEASY_JNDI_COMPONENT_RESOURCES

      See Also:
        Constant Field Values

    - #### RESTEASY_UNWRAPPED_EXCEPTIONS

          static final String RESTEASY_UNWRAPPED_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### RESTEASY_EXPAND_ENTITY_REFERENCES

          static final String RESTEASY_EXPAND_ENTITY_REFERENCES

      See Also:
        Constant Field Values

    - #### RESTEASY_SECURE_PROCESSING_FEATURE

          static final String RESTEASY_SECURE_PROCESSING_FEATURE

      See Also:
        Constant Field Values

    - #### RESTEASY_DISABLE_DTDS

          static final String RESTEASY_DISABLE_DTDS

      See Also:
        Constant Field Values

    - #### RESTEASY_SCANNED_RESOURCES

          static final String RESTEASY_SCANNED_RESOURCES

      See Also:
        Constant Field Values

    - #### RESTEASY_SCANNED_PROVIDERS

          static final String RESTEASY_SCANNED_PROVIDERS

      See Also:
        Constant Field Values

    - #### RESTEASY_SCANNED_JNDI_RESOURCES

          static final String RESTEASY_SCANNED_JNDI_RESOURCES

      See Also:
        Constant Field Values

    - #### RESTEASY_CONTEXT_OBJECTS

          static final String RESTEASY_CONTEXT_OBJECTS

      See Also:
        Constant Field Values

    - #### RESTEASY_USE_CONTAINER_FORM_PARAMS

          static final String RESTEASY_USE_CONTAINER_FORM_PARAMS

      See Also:
        Constant Field Values

    - #### RESTEASY_DEPLOYMENTS

          static final String RESTEASY_DEPLOYMENTS

      See Also:
        Constant Field Values

    - #### RESTEASY_SERVLET_MAPPING_PREFIX

          static final String RESTEASY_SERVLET_MAPPING_PREFIX

      See Also:
        Constant Field Values

    - #### RESTEASY_WIDER_REQUEST_MATCHING

          static final String RESTEASY_WIDER_REQUEST_MATCHING

      See Also:
        Constant Field Values

Copyright © 2014. All Rights Reserved.